POST V1/PaymentsMaster.{ext}/VendorBankDetails?pageIndex={pageIndex}&pageSize={pageSize}
Returns Vendor Bank Details .
Mandatory Fileds: N/A
Optional Fileds : AccountNumber,Site,ProductId,ClientId,VendorName,RemitCode,VendorId
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pageIndex |
Indicates how many records to skip . |
integer |
Default value is 0 |
| pageSize |
Indicates number of records to be returned. |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
This is VendorBankDetails entity.
EMS.Payments.Entities.VendorBankDetail| Name | Description | Type | Additional information |
|---|---|---|---|
| AccountId |
Gets or sets Account Id. |
integer |
None. |
| AccountNumber |
Gets or sets Account Number. |
string |
None. |
| SiteNumber |
Gets or sets Site Number. |
string |
None. |
| SiteName |
Gets or sets Site Name |
string |
None. |
| ProductId |
Gets or sets Product Id. |
string |
None. |
| ProductName |
Gets or sets Product Name. |
string |
None. |
| ClientId |
Gets or sets Client Id. |
string |
None. |
| ClientName |
Gets or sets Client Name. |
string |
None. |
| VendorId |
Gets or sets Vendor Id. |
string |
None. |
| VendorName |
Gets or sets Vendor Name. |
string |
None. |
| RemitCode |
Gets or sets Remit Code. |
string |
None. |
| Status |
Gets or sets Status. |
string |
None. |
| BillingCycle |
Gets or sets Billing Cycle. |
string |
None. |
| FlagStatus |
Gets or sets Flag Status. |
string |
None. |
| Comments |
Gets or sets Comments. |
string |
None. |
| DetailedComments |
Gets or sets Detailed Comments. |
string |
None. |
| PaymentMethod |
Gets or sets Payment Method. |
string |
None. |
| PartOfConsolidatePayment |
Gets or sets Part of Consolidate Payment. |
string |
None. |
| ACHNachaPaymentMethod |
Gets or sets Ach Nacha Payment Method. |
string |
None. |
| ACHNachaPaymentFormat |
Gets or sets Ach Nacha Payment Format. |
string |
None. |
| SuccWebUrl |
Gets or sets Succ Web Url. |
string |
None. |
| SuccUserId |
Gets or sets Succ User Id. |
string |
None. |
| SuccPassword |
Gets or sets Succ Password. |
string |
None. |
| ChkDeliveryMethod |
Gets or sets Check Delivery Method. |
string |
None. |
| CarrierName |
Gets or sets Carrier Name. |
string |
None. |
| CarrierAccountNumber |
Gets or sets Carrier Account Number. |
string |
None. |
| VendorBankRemittanceId |
Gets or sets Vendor Bank Remittance Id. |
string |
None. |
| AccountTransactionId |
Gets or sets Account Transaction Id. |
string |
None. |
| AccountIds |
Gets or sets Account Ids. |
string |
None. |
Request Formats
application/json, text/json
{
"accountId": 1,
"accountNumber": "sample string 1",
"siteNumber": "sample string 2",
"siteName": "sample string 3",
"productId": "sample string 4",
"productName": "sample string 5",
"clientId": "sample string 6",
"clientName": "sample string 7",
"vendorId": "sample string 8",
"vendorName": "sample string 9",
"remitCode": "sample string 10",
"status": "sample string 11",
"billingCycle": "sample string 12",
"flagStatus": "sample string 13",
"comments": "sample string 14",
"detailedComments": "sample string 15",
"paymentMethod": "sample string 16",
"partOfConsolidatePayment": "sample string 17",
"achNachaPaymentMethod": "sample string 18",
"achNachaPaymentFormat": "sample string 19",
"succWebUrl": "sample string 20",
"succUserId": "sample string 21",
"succPassword": "sample string 22",
"chkDeliveryMethod": "sample string 23",
"carrierName": "sample string 24",
"carrierAccountNumber": "sample string 25",
"vendorBankRemittanceId": "sample string 26",
"accountTransactionId": "sample string 27",
"accountIds": "sample string 28"
}
application/xml, text/xml
<VendorBankDetail xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities"> <ACHNachaPaymentFormat>sample string 19</ACHNachaPaymentFormat> <ACHNachaPaymentMethod>sample string 18</ACHNachaPaymentMethod> <AccountId>1</AccountId> <AccountIds>sample string 28</AccountIds> <AccountNumber>sample string 1</AccountNumber> <AccountTransactionId>sample string 27</AccountTransactionId> <BillingCycle>sample string 12</BillingCycle> <CarrierAccountNumber>sample string 25</CarrierAccountNumber> <CarrierName>sample string 24</CarrierName> <ChkDeliveryMethod>sample string 23</ChkDeliveryMethod> <ClientId>sample string 6</ClientId> <ClientName>sample string 7</ClientName> <Comments>sample string 14</Comments> <DetailedComments>sample string 15</DetailedComments> <FlagStatus>sample string 13</FlagStatus> <PartOfConsolidatePayment>sample string 17</PartOfConsolidatePayment> <PaymentMethod>sample string 16</PaymentMethod> <ProductId>sample string 4</ProductId> <ProductName>sample string 5</ProductName> <RemitCode>sample string 10</RemitCode> <SiteName>sample string 3</SiteName> <SiteNumber>sample string 2</SiteNumber> <Status>sample string 11</Status> <SuccPassword>sample string 22</SuccPassword> <SuccUserId>sample string 21</SuccUserId> <SuccWebUrl>sample string 20</SuccWebUrl> <VendorBankRemittanceId>sample string 26</VendorBankRemittanceId> <VendorId>sample string 8</VendorId> <VendorName>sample string 9</VendorName> </VendorBankDetail>
application/x-www-form-urlencoded
Sample not available.
application/bson
Binary JSON content. See http://bsonspec.org for details.
Response Information
Resource Description
List of Vendor Bank Details based on action to perform.
EMSResponseOfEMS.Payments.Entities.VendorBankDetails| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.VendorBankDetails |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "VendorBankDetails",
"response": {
"vendorBankDetailList": [
{
"accountId": 1,
"accountNumber": "sample string 1",
"siteNumber": "sample string 2",
"siteName": "sample string 3",
"productId": "sample string 4",
"productName": "sample string 5",
"clientId": "sample string 6",
"clientName": "sample string 7",
"vendorId": "sample string 8",
"vendorName": "sample string 9",
"remitCode": "sample string 10",
"status": "sample string 11",
"billingCycle": "sample string 12",
"flagStatus": "sample string 13",
"comments": "sample string 14",
"detailedComments": "sample string 15",
"paymentMethod": "sample string 16",
"partOfConsolidatePayment": "sample string 17",
"achNachaPaymentMethod": "sample string 18",
"achNachaPaymentFormat": "sample string 19",
"succWebUrl": "sample string 20",
"succUserId": "sample string 21",
"succPassword": "sample string 22",
"chkDeliveryMethod": "sample string 23",
"carrierName": "sample string 24",
"carrierAccountNumber": "sample string 25",
"vendorBankRemittanceId": "sample string 26",
"accountTransactionId": "sample string 27",
"accountIds": "sample string 28"
},
{
"accountId": 1,
"accountNumber": "sample string 1",
"siteNumber": "sample string 2",
"siteName": "sample string 3",
"productId": "sample string 4",
"productName": "sample string 5",
"clientId": "sample string 6",
"clientName": "sample string 7",
"vendorId": "sample string 8",
"vendorName": "sample string 9",
"remitCode": "sample string 10",
"status": "sample string 11",
"billingCycle": "sample string 12",
"flagStatus": "sample string 13",
"comments": "sample string 14",
"detailedComments": "sample string 15",
"paymentMethod": "sample string 16",
"partOfConsolidatePayment": "sample string 17",
"achNachaPaymentMethod": "sample string 18",
"achNachaPaymentFormat": "sample string 19",
"succWebUrl": "sample string 20",
"succUserId": "sample string 21",
"succPassword": "sample string 22",
"chkDeliveryMethod": "sample string 23",
"carrierName": "sample string 24",
"carrierAccountNumber": "sample string 25",
"vendorBankRemittanceId": "sample string 26",
"accountTransactionId": "sample string 27",
"accountIds": "sample string 28"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.